Subject: RE: possible numbers for paula
From: <[email-masked]>
To: "'Patricia Finan'" <[email-masked]>
Date: Tue, 27 Jan 2004 13:16:09 -0500

Patty;
 
Thanks for the info.  To update your records, the phone number is
517-629-2749.  The address is:  202 Colfax, Albion, MI  49224.
I will send her w2 today.
 
Linda

-----Original Message-----
From: Patricia Finan [mailto:[email-masked]] 
Sent: Tuesday, January 27, 2004 11:17 AM
To: Linda @ Parcells
Subject: possible numbers for paula

Hi!
 
I talked to Paul and he said Paula's husband was Don Smith - I did some
searches on the Web and here's what I found - Don Smith in Alba - 989
463 8438. Don Smith in Albion (which I think is where they went) - 517
629-2749 with an address of 3056 Eaton Rapids Road Albion. So you might
want to try those two to see if they are Paula's or not.

Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989-738-6007